Levain LabsLevain Labs
ApiNotifications

Read Settings

Return notification routing + recipient; defaults if unset.

Return notification routing + recipient; defaults if unset.

GET
/api/v1/notifications/settings

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Header Parameters

X-API-Key?string|null

Response Body

application/json

application/json

curl -X GET "https://api.levainlabs.com/api/v1/notifications/settings"
{
  "notifications_email": "string",
  "slack_channel": "string",
  "routing": {
    "property1": {
      "property1": true,
      "property2": true
    },
    "property2": {
      "property1": true,
      "property2": true
    }
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}